package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.common.util.DateUtils;
import com.simuwang.base.pojo.vo.EmailTemplatePageVO;
import com.simuwang.base.pojo.vo.EmailTemplateVO;
import lombok.Data;

import java.util.Date;

@Data
@TableName("email_template")
public class EmailTemplateDO {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO,value = "id")
    private Integer id;
    /**
     * 模板编码
     */
    @TableField("template_code")
    private String templateCode;
    /**
     * 邮件标题
     */
    @TableField("email_title")
    private String emailTitle;
    /**
     * 邮件正文
     */
    @TableField("email_body")
    private String emailBody;

    /**
     * 开启状态1-开启，0-关闭
     */
    @TableField("open_status")
    private Integer openStatus;
    /**
     * 有效标识，1-有效，0-无效
     */
    @TableField("isvalid")
    private Integer isvalid;
    /**
     * 创建人ID
     */
    @TableField("creatorid")
    private Integer creatorId;
    /**
     * 修改人ID
     */
    @TableField("updaterid")
    private Integer updaterId;
    /**
     * 创建时间
     */
    @TableField("createtime")
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField("updatetime")
    private Date updateTime;

    @TableField("channel_id")
    private Integer channelId;

    @TableField(exist = false)
    private String channelName;

    public EmailTemplateVO toVO(){
        EmailTemplateVO vo = new EmailTemplateVO();
        vo.setId(id);
        vo.setChannelId(String.valueOf(channelId));
        vo.setChannelName(channelName);
        vo.setTemplateCode(templateCode);
        vo.setEmailBody(this.emailBody);
        vo.setEmailTitle(emailTitle);
        vo.setOpenStatus(openStatus);
        vo.setIsvalid(isvalid);
        vo.setCreateTime(DateUtils.format(createTime, "yyyy-MM-dd HH:mm:ss"));
        vo.setCreatorId(creatorId);
        vo.setUpdateTime(DateUtils.format(updateTime, "yyyy-MM-dd HH:mm:ss"));
        vo.setUpdaterId(updaterId);
        return vo;
    }

    public EmailTemplatePageVO toPageVO(){
        EmailTemplatePageVO vo = new EmailTemplatePageVO();
        vo.setId(id);
        vo.setChannelId(channelId);
        vo.setChannelName(channelName);
        vo.setTemplateCode(templateCode);
        vo.setEmailBody(this.emailBody);
        vo.setEmailTitle(emailTitle);
        vo.setOpenStatus(openStatus);
        vo.setIsvalid(isvalid);
        vo.setCreateTime(DateUtils.format(createTime, "yyyy-MM-dd HH:mm:ss"));
        vo.setCreatorId(creatorId);
        vo.setUpdateTime(DateUtils.format(updateTime, "yyyy-MM-dd HH:mm:ss"));
        vo.setUpdaterId(updaterId);
        return vo;
    }
}
