package com.simuwang.manage.service.impl;

import com.simuwang.base.mapper.daq.FundNotMappingMapper;
import com.simuwang.base.pojo.dos.FundNotMappingInfoDO;
import com.simuwang.manage.service.FundNotMappingService;
import com.simuwang.manage.task.FundDeletionTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class FundNotMappingServiceImpl implements FundNotMappingService {
    @Autowired
    private FundNotMappingMapper fundNotMappingMapper;

    private static final Logger log = LoggerFactory.getLogger(FundNotMappingServiceImpl.class);
    
    @Override
    public void batchInsert(List<FundNotMappingInfoDO> fundNotMappingInfoDOList) {
        for (FundNotMappingInfoDO fundNotMappingInfoDO : fundNotMappingInfoDOList) {
            try{
                FundNotMappingInfoDO oldFundNotMappingInfoDO = fundNotMappingMapper.getFundNotMappingInfoByAliasId(fundNotMappingInfoDO.getFundAliasId());
                if(oldFundNotMappingInfoDO != null){
                    fundNotMappingInfoDO.setId(oldFundNotMappingInfoDO.getId());
                    fundNotMappingInfoDO.setUpdateTime(new Date());
                }
            }catch (Exception e){
                log.error(e.getMessage(),e);
            }
        }
        fundNotMappingMapper.insertOrUpdate(fundNotMappingInfoDOList);
    }
}
